oracle.pg.common

## Class Message

- java.lang.Object
- - oracle.pg.common.LocalizedMessage
  - - oracle.pg.common.Message

- All Implemented Interfaces:
    MesgConsts

      public class Message
      extends LocalizedMessage
      implements MesgConsts

  This class represents a LocalizedMessage which is bound to the oracle.pg.common.Messages family of resources.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Message` | `MSG_ERR_ID_CANNOT_BE_NULL`

    - ### Fields inherited from interface oracle.pg.common.MesgConsts

      `ERR_ARG_CANNOT_BE_NULL, ERR_CODE_NOT_IN_LIST, ERR_DOP_CONSTRAINT, ERR_E_DS_MUSTBE_FILE_OR_IS, ERR_E_MAX_LINE_CONSTRAINT, ERR_EDGE_DIR_NOT_BOTH, ERR_GRAPH_NAME_CANT_BENULL, ERR_HIT_EXCEPTION, ERR_HIT_INTERRUPT, ERR_HIT_IO, ERR_HIT_OPGE, ERR_HIT_PARSEE, ERR_ID_CANNOT_BE_NULL, ERR_IDX_KEY_CANNOT_BE_NULL, ERR_IN_DS_EDGE_CANTBE_NULL, ERR_IN_DS_VERT_CANTBE_NULL, ERR_IN_E_FLAT_DOESNT_EXIST, ERR_IN_V_FLAT_DOESNT_EXIST, ERR_INVALID_NUM_FIELDS, ERR_INVALID_NUM_NOARG, ERR_INVALID_NUMBER, ERR_INVALID_VAL, ERR_KEY_CANNOT_BE_ID, ERR_KEY_CANNOT_BE_NULL, ERR_KEY_NOT_SET_TO, ERR_NO_ELEM_TO_BE_CONSUMED, ERR_NO_OP_SUPPORTED, ERR_NOT_IMPLEMENTED_YET, ERR_NOT_ORACLE_V_E, ERR_NUM_PART_CONSTRAINT, ERR_OFFSET_CONSTRAINT, ERR_OFFSET_E_MUST_BE_POS, ERR_OFFSET_V_MUST_BE_POS, ERR_PG_ALREADY_EXISTS, ERR_PG_NOT_EMPTY, ERR_SIZE_MUST_BE_POS, ERR_TIMEOUT_TAB_CREATION, ERR_TYPE_ID_NOT_RECO, ERR_UNSUPPORTED_VAL_TYP, ERR_USER_REQ_OP_CANCEL, ERR_V_DS_MUSTBE_FILE_OR_IS, ERR_V_MAX_LINE_CONSTRAINT, ERR_VALUE_CANNOT_BE_NULL, INFO_EMP_K_NO_P_VAL, INFO_NUL_K_NO_P_VAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message(String errorCode)` Constructor for error code and non-parameterized message.
    `Message(String errorCode, Object parameter)` Constructor for error code and one-parameter message.
    `Message(String errorCode, Object[] parameterArray)` Constructor for error code and many-parameter message.
    `Message(String errorCode, Object parameter1, Object parameter2)` Constructor for error code and two-parameter message.
    `Message(String errorCode, Object parameter1, Object parameter2, Object parameter3)` Constructor for error code and three-parameter message.

  - ### Method Summary

    - ### Methods inherited from class oracle.pg.common.LocalizedMessage

      `getErrorCode, getLocale, getMessage, setLocale, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MSG_ERR_ID_CANNOT_BE_NULL

          public static Message MSG_ERR_ID_CANNOT_BE_NULL

  - ### Constructor Detail

    - #### Message

          public Message(String errorCode)

      Constructor for error code and non-parameterized message.

    - #### Message

          public Message(String errorCode,
                 Object parameter)

      Constructor for error code and one-parameter message.

    - #### Message

          public Message(String errorCode,
                 Object[] parameterArray)

      Constructor for error code and many-parameter message.

    - #### Message

          public Message(String errorCode,
                 Object parameter1,
                 Object parameter2)

      Constructor for error code and two-parameter message.

    - #### Message

          public Message(String errorCode,
                 Object parameter1,
                 Object parameter2,
                 Object parameter3)

      Constructor for error code and three-parameter message.

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.